import { p as proxyCustomElement, H, h } from './p-BhqVmlhr.js';
import { d as defineCustomElement$3 } from './p-BlpzkLu0.js';
import { d as defineCustomElement$2 } from './p-D3vljtDG.js';

const DgaFileUploadUsage$1 = /*@__PURE__*/ proxyCustomElement(class DgaFileUploadUsage extends H {
    constructor() {
        super();
        this.__registerHost();
    }
    render() {
        return (h("div", { key: 'a43f843562422345fb1a082e139049b31f4a8fcf' }, h("h1", { key: 'e47ed2beac2e6044d33295011947c559d5bd5c9a' }, "File Upload Example"), h("div", { key: 'fd8fda40e375e2077005c5b8993ff635917d8807', style: { padding: "50px", display: "flex", gap: "20px" } }, h("div", { key: 'f6abafb3cf0c7c318f365b5ab01265515e973816', style: { display: "flex", flexDirection: "column", gap: "20px" } }, h("dga-file-upload", { key: 'd383af4f712162bee52da03ab55a600d56d07ceb' })), h("div", { key: '07aa0e61d6983cbcb1451bbe286eb0460a638f3b', style: { display: "flex", flexDirection: "column", gap: "20px" } }))));
    }
}, [0, "dga-file-upload-usage"]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["dga-file-upload-usage", "dga-file-upload", "dga-loading"];
    components.forEach(tagName => { switch (tagName) {
        case "dga-file-upload-usage":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, DgaFileUploadUsage$1);
            }
            break;
        case "dga-file-upload":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "dga-loading":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const DgaFileUploadUsage = DgaFileUploadUsage$1;
const defineCustomElement = defineCustomElement$1;

export { DgaFileUploadUsage, defineCustomElement };
